Activity log for bug #1845584

Date Who What changed Old value New value Message
2019-09-27 02:53:10 AceLan Kao bug added bug
2019-09-27 02:53:30 AceLan Kao nominated for series Ubuntu Ff-series
2019-09-27 02:53:30 AceLan Kao bug task added linux (Ubuntu Ff-series)
2019-09-27 02:53:30 AceLan Kao nominated for series Ubuntu Bionic
2019-09-27 02:53:30 AceLan Kao bug task added linux (Ubuntu Bionic)
2019-09-27 02:53:30 AceLan Kao nominated for series Ubuntu Eoan
2019-09-27 02:53:30 AceLan Kao bug task added linux (Ubuntu Eoan)
2019-09-27 02:53:30 AceLan Kao nominated for series Ubuntu Disco
2019-09-27 02:53:30 AceLan Kao bug task added linux (Ubuntu Disco)
2019-09-27 02:53:38 AceLan Kao linux (Ubuntu Bionic): assignee AceLan Kao (acelankao)
2019-09-27 02:53:41 AceLan Kao linux (Ubuntu Disco): assignee AceLan Kao (acelankao)
2019-09-27 02:53:43 AceLan Kao linux (Ubuntu Eoan): assignee AceLan Kao (acelankao)
2019-09-27 02:53:45 AceLan Kao linux (Ubuntu Ff-series): assignee AceLan Kao (acelankao)
2019-09-27 02:53:50 AceLan Kao linux (Ubuntu Bionic): status New In Progress
2019-09-27 02:53:54 AceLan Kao linux (Ubuntu Disco): status New In Progress
2019-09-27 02:53:57 AceLan Kao linux (Ubuntu Eoan): status New In Progress
2019-09-27 02:54:00 AceLan Kao linux (Ubuntu Ff-series): status New In Progress
2019-09-27 02:54:33 AceLan Kao attachment added 0001-mfd-intel-lpss-add-quirk-for-Dell-XPS-13-7390-2-in-1.patch https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1845584/+attachment/5291627/+files/0001-mfd-intel-lpss-add-quirk-for-Dell-XPS-13-7390-2-in-1.patch
2019-09-27 03:13:03 AceLan Kao description [Impact] The memory region intel-lpss-pci uses has been declared as write-combining [ 0.001728] 5 base 4000000000 mask 6000000000 write-combining This leads to the system hangs up during booting up. This is a BIOS issue, but there are some platforms on the market and users are struggling on booting up the machines. So, we may have to fix this in the kernel. [Fix] Tuowen Zhao(ztuowen@gmail.com)[1] provides a diff patch for intel-lpss driver to claim to use un-catchable memory while calling __devm_ioremap(), and it works well. To avoid the potential impact on other machines, I add a quirk to list the machines which has the write-combining area in MTRR which overlaps with the address that intel-lpss uses, only the machines in the list pass the DEVM_IOREMAP_UC to __devm_ioremap(). [Test] Verified on Dell XPS 13 7390 2-in-1 [Regression Potential] Low, without this patch, the machine even can't boot. And the quirk only for specific machines, so the modification won't affect other machines. 1. https://bugzilla.kernel.org/show_bug.cgi?id=203485#c23 [Impact] The memory region intel-lpss-pci uses has been declared as write-combining [ 0.001728] 5 base 4000000000 mask 6000000000 write-combining This leads to the system hangs up during booting up. This is a BIOS issue, but there are some platforms on the market and users are struggling on booting up the machines. So, we may have to fix this in the kernel. [Fix] Tuowen Zhao(ztuowen@gmail.com)[1] provides a diff patch for intel-lpss driver to claim to use un-catchable memory while calling __devm_ioremap(), and it works well. But it didn't be accepted by maintainer yet. To avoid the potential impact on other machines, I add a quirk to list the machines which has the write-combining area in MTRR which overlaps with the address that intel-lpss uses, only the machines in the list pass the DEVM_IOREMAP_UC to __devm_ioremap(). [Test] Verified on Dell XPS 13 7390 2-in-1 [Regression Potential] Low, without this patch, the machine even can't boot. And the quirk only for specific machines, so the modification won't affect other machines. 1. https://bugzilla.kernel.org/show_bug.cgi?id=203485#c23
2019-09-27 04:20:55 Ubuntu Foundations Team Bug Bot tags patch
2019-09-27 04:20:56 Ubuntu Foundations Team Bug Bot bug added subscriber Terry Rudd
2019-10-03 07:26:35 AceLan Kao bug added subscriber Canonical Hardware Enablement
2019-10-03 07:26:41 AceLan Kao tags patch oem-priority originate-from-1844779 patch somerville
2019-10-04 02:47:32 Tiffany bug added subscriber Tiffany
2019-10-04 08:37:17 AceLan Kao bug task added linux-oem (Ubuntu)
2019-10-04 08:37:31 AceLan Kao linux-oem (Ubuntu Bionic): status New Fix Committed
2019-10-04 08:37:50 AceLan Kao linux-oem (Ubuntu Disco): status New Invalid
2019-10-04 08:38:01 AceLan Kao linux-oem (Ubuntu Eoan): status New Invalid
2019-10-04 08:38:14 AceLan Kao linux-oem (Ubuntu Ff-series): status New Invalid
2019-10-10 07:11:11 Launchpad Janitor linux (Ubuntu Eoan): status In Progress Fix Released
2019-10-10 07:11:11 Launchpad Janitor cve linked 2019-15098
2019-10-10 07:11:11 Launchpad Janitor cve linked 2019-17052
2019-10-10 07:11:11 Launchpad Janitor cve linked 2019-17053
2019-10-10 07:11:11 Launchpad Janitor cve linked 2019-17054
2019-10-10 07:11:11 Launchpad Janitor cve linked 2019-17055
2019-10-10 07:11:11 Launchpad Janitor cve linked 2019-17056
2019-10-16 16:26:54 Kleber Sacilotto de Souza linux (Ubuntu Bionic): status In Progress Fix Committed
2019-10-16 16:27:03 Kleber Sacilotto de Souza linux (Ubuntu Disco): status In Progress Fix Committed
2019-10-21 11:45:00 Launchpad Janitor linux-oem (Ubuntu Bionic): status Fix Committed Fix Released
2019-10-21 12:09:06 Launchpad Janitor linux-oem (Ubuntu Disco): status Invalid Fix Released
2019-10-22 15:01:53 Ubuntu Kernel Bot tags oem-priority originate-from-1844779 patch somerville oem-priority originate-from-1844779 patch somerville verification-needed-disco
2019-10-22 15:47:44 Ubuntu Kernel Bot tags oem-priority originate-from-1844779 patch somerville verification-needed-disco oem-priority originate-from-1844779 patch somerville verification-needed-bionic verification-needed-disco
2019-10-23 02:20:32 AceLan Kao tags oem-priority originate-from-1844779 patch somerville verification-needed-bionic verification-needed-disco oem-priority originate-from-1844779 patch somerville verification-done-bionic verification-done-disco
2019-10-28 02:24:03 Anthony Wong hwe-next: status New Fix Released
2019-11-12 22:21:40 Launchpad Janitor linux (Ubuntu Disco): status Fix Committed Fix Released
2019-11-12 22:21:40 Launchpad Janitor cve linked 2018-12207
2019-11-12 22:21:40 Launchpad Janitor cve linked 2019-0154
2019-11-12 22:21:40 Launchpad Janitor cve linked 2019-0155
2019-11-12 22:21:40 Launchpad Janitor cve linked 2019-11135
2019-11-12 22:21:40 Launchpad Janitor cve linked 2019-15793
2019-11-12 22:21:40 Launchpad Janitor cve linked 2019-17666
2019-11-12 22:24:59 Launchpad Janitor linux (Ubuntu Bionic): status Fix Committed Fix Released
2019-12-03 13:02:14 Launchpad Janitor linux-oem (Ubuntu Eoan): status Invalid Fix Released
2020-01-08 17:32:11 lotuspsychje bug added subscriber Ubuntu-discuss Bug team